hifrog - Bug #4836

/hifrog ~/dev/hi-bench/main-bench/funfrog_regression/01_choice/main2_ok.c --claim 1
20/03/2017 16:30 - Sepideh Asadi

Status: Closed Start date: 20/03/2017
Priority: Normal Due date:

Assignee: Sepideh Asadi % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

VERIFICATION FAILED

History

#1 - 01/04/2017 00:05 - Karine Even Mendoza

- Status changed from New to Feedback

Seem to be ok now - fails only to UF, but CUF is refining it. For prop and Ira is SUCC with no refinement.
Is it the right result?

Trying to refine with CUF+BitBlast
(driven by iterative CE-analysis)

; Warning: disabling SATElite preprocessing to track proof
; 0] 0 0| 0.096s|153.051 MB

; 0] 0 0| 0.100s|153.051 MB

; 0] 0 0| 0.100s|153.051 MB

; 0| 0 0| 0.104s|153.051 MB

; Warning: disabling SATElite preprocessing to track proof
; Warning: disabling SATElite preprocessing to track proof
; Warning: disabling SATElite preprocessing to track proof
; Warning: disabling SATElite preprocessing to track proof
; Warning: disabling SATElite preprocessing to track proof
; Warning: disabling SATElite preprocessing to track proof
; Warning: disabling SATElite preprocessing to track proof
; Warning: disabling SATElite preprocessing to track proof
; Warning: disabling SATElite preprocessing to track proof
Weak statement encodings (9) found

Refinement successful

(9 / 13 expressions bit-blasted)

Command-line options to double-check: --theoref --custom 4,5,6,7,8,9,10,11,12,
ASSERTION HOLDS

VERIFICATION SUCCESSFUL
TOTAL TIME FOR CHECKING THIS CLAIM: 0.073

#2 - 19/04/2017 17:31 - Karine Even Mendoza
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

UF is buggy all over, the rest is working well now
